gr::ieee802_15_4::dqpsk_mapper_ff Class Reference

<+description of block+> More...

`#include <dqpsk_mapper_ff.h>`

Inheritance diagram for gr::ieee802_15_4::dqpsk_mapper_ff:
[legend]

## Public Types

typedef boost::shared_ptr< dqpsk_mapper_ff > | sptr

## Static Public Member Functions

static sptr | make (int framelen, bool forward)
| Return a shared_ptr to a new instance of ieee802_15_4::dqpsk_mapper_ff. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<dqpsk_mapper_ff> gr::ieee802_15_4::dqpsk_mapper_ff::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::dqpsk_mapper_ff::make | ( | int | framelen,
|  | bool | forward
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::dqpsk_mapper_ff.

To avoid accidental use of raw pointers, ieee802_15_4::dqpsk_mapper_ff's constructor is in a private implementation class. ieee802_15_4::dqpsk_mapper_ff::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- dqpsk_mapper_ff.h